#include <Servo.h>

Servo myServo;

const int trigPin1 = 7;
const int echoPin1 = 6;
const int trigPin2 = 9;
const int echoPin2 = 8;
const int servoPin = 3;

long duration1;
long duration2;
int distance1;
int distance2;

void setup() {
  Serial.begin(9600);
  myServo.attach(servoPin);
  pinMode(trigPin1, OUTPUT);
  pinMode(echoPin1, INPUT);
  pinMode(trigPin2, OUTPUT);
  pinMode(echoPin2, INPUT);
}

void loop() {
  // First HC-SR04
  digitalWrite(trigPin1, LOW);
  delayMicroseconds(2);
  digitalWrite(trigPin1, HIGH);
  delayMicroseconds(10);
  digitalWrite(trigPin1, LOW);

  duration1 = pulseIn(echoPin1, HIGH);
  distance1 = duration1 * 0.034 / 2;

  // Second HC-SR04
  digitalWrite(trigPin2, LOW);
  delayMicroseconds(2);
  digitalWrite(trigPin2, HIGH);
  delayMicroseconds(10);
  digitalWrite(trigPin2, LOW);

  duration2 = pulseIn(echoPin2, HIGH);
  distance2 = duration2 * 0.034 / 2;

  // Check if either sensor detects an object
  if (distance1 < 15 || distance2 < 15) {
    myServo.write(50); // Move servo to 50 degrees
    delay(2000);       // 2-second delay for dispensing food
    myServo.write(0);  // Return servo to original position
  }

  delay(1000); // Wait for 1 second before next measurement
}
